package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/27 13:58
 */

@FeignClient(value = "dil-tms-truck-dev", url = "${openfeign.TmsTruckFeign.url}")
public interface TmsTruckFeign {

    //添加总实绩 map:订单Id
    @PostMapping("api/v1/truckTms/tmstrucktotalresults/addTotalResult")
    Integer addTotalResult(@RequestBody(required = false) Map<String, Object> map);

    //生成进厂作业实绩: 总实绩Id
    @PostMapping("api/v1/truckTms/tmstruckenfactoryresults/addEnFactoryResult")
    RESTfulResult addEnFactoryResult(@RequestBody(required = false) Map<String, Object> mapValue);

    //生成出厂实绩：总实绩ID
    @PostMapping("api/v1/truckTms/tmstruckleavefactoryresults/addLeaveFactory")
    RESTfulResult addLeaveFactory(@RequestBody(required = false) Map<String, Object> mapValue);

    //生成计量实绩：总实绩ID、物资Id
    @PostMapping("api/v1/truckTms/tmstruckweightresults/addWeightResult")
    RESTfulResult addWeightResult(@RequestBody Map<String, Object> mapValue);

    //生成卸货实绩：总实绩ID
    @PostMapping("api/v1/truckTms/tmstruckunloadresult/addUnloadResult")
    RESTfulResult addUnloadResult(@RequestBody(required = false) Map<String, Object> mapValue);

    //生成退货实绩：总实绩ID
    @PostMapping("api/v1/truckTms/tmstruckreturnresults/addReturnGoodsResult")
    RESTfulResult addReturnGoodsResult(@RequestBody(required = false) Map<String, Object> mapValue);

    //生成装车实绩： 运输订单Id、物资Id
    @PostMapping("api/v1/truckTms/tmstruckloadresults/addLoadResult")
    RESTfulResult addLoadResult(@RequestBody(required = false) Map<String, Object> map);
}
