package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.OmstruckOrder;
import com.steerinfo.dil.model.OmstruckOrderMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface OmstruckOrderMaterialMapper extends IBaseMapper<OmstruckOrderMaterial, BigDecimal> {
    //新增运单子表
    int insertSelective(OmstruckOrderMaterial omstruckOrderMaterial);

    //修改运输订单子表
    int updateByPrimaryKeySelective(OmstruckOrder omstruckOrder);

    //查询最大主键Id
    @Select("select seq_omstruck_order_material.nextval from dual")
    BigDecimal selectMaxId();

    //通过订单Id
    BigDecimal getOrderMaterialIdByOrderId(BigDecimal orderId);

    //通过订单id或者订单号查询订单子表物资ID
    List<Map<String, Object>> getUnloadOrderMaterial(Map<String, Object> map);
}