package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.OmstruckOrder;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 运输订单第二个 mapper
 * @ author    :TXF
 * @ time      :2021/12/3 13:10
 */
@Mapper
public interface OmstruckOrderSeparateMapper {
    //通过订单Id 查询关联的线路子表顺序
    List<Map<String, Object>> getLineMesByOrderId(Integer lineId);

    //通过运输订单Id更改订单状态
    int updateOrderStatusByOrderNum(Map<String, Object> map);

    //通过运输订单Id查询订单所有信息
    Map<String, Object> getOmstruckOrderResult(BigDecimal orderId);

    // 通过总实绩id得到运单id
    BigDecimal getOrderIdByTotalId(BigDecimal reusltTotalId);

    // 通过运单id查询运单信息
    Map<String, Object> getOrderMessagge(BigDecimal orderId);

    // 通过运单id查询路段名称
    List<Map<String, Object>> getSegmentList(BigDecimal orderId);

    // 通过运单id查询实绩点
    Map<String, Object> getResultPointList(BigDecimal orderId);

    // 通过运输订单号查询运单id
    BigDecimal getOrderIdByOrderNumber(String orderNumber);

    //通过总实绩ID查询物资信息
    List<Integer> getMaterialIdByTotalId(Integer resultTotalId);

    //通过订单ID查询总实绩ID
    Integer getTotalIdByOrderId(BigDecimal orderId);

    //通过总实绩ID和路段顺序号查询进厂实绩数据
    Map<String, Object> getEnFactoryMes(Map<String, Object> map);

    //通过总实绩ID和路段顺序号查询计毛实绩数据
    Map<String, Object> getMaoWeightMes(Map<String, Object> map);

    //通过总实绩ID和路段顺序号查询计毛实绩数据
    Map<String, Object> getPiWeightMes(Map<String, Object> map);

    //通过总实绩ID和路段顺序号查询卸货实绩数据
    Map<String, Object> getUnloadMes(Map<String, Object> map);

    //通过总实绩ID和路段顺序号查询装货实绩数据
    Map<String, Object> getLoadMes(Map<String, Object> map);

    //通过总实绩ID和路段顺序号查询出厂实绩数据
    Map<String, Object> getOutFactoryMes(Map<String, Object> map);

    //通过总实绩ID和路段顺序号查询退货实绩数据
    Map<String, Object> getReturnMes(Map<String, Object> map);

    // 查看承运商所属的订单
    List<Map<String, Object>> getInputOrderList(Map<String, Object> mapValue);

    //查询零星物资出厂订单信息（还未分配车辆）状态：3  13
    List<Map<String, Object>> getOthersOrderMesToSend(Map<String, Object> map);

    // 查询销售订单的物资件数或重量
    List<Map<String, Object>> getWeightOrNumber(BigDecimal saleOrderMaterialId);
}
