package com.steerinfo.dil.service;

import com.steerinfo.dil.model.OmstruckOrder;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * OmstruckOrder服务接口：
 *
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-15 09:37
 * 类描述
 * 修订历史：
 * 日期：2021-10-15
 * 作者：generator
 * 参考：
 * 描述：OmstruckOrder服务接口
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 * @see null
 */
public interface IOmstruckOrderService {

    //用于远程调用新增运输订单
    int insertSelective(OmstruckOrder omstruckOrder);

    //承运商接收销售公司已审核的销售订单
    List<Map<String, Object>> selectSaleOrderForCarrier(Map<String, Object> map);

    //查询已接收的焦炭发运计划
    List<Map<String, Object>> selectCokeDayPlanAndRecived(Map<String, Object> map);

    //查询已接收的水渣发运计划
    List<Map<String, Object>> selectWaterSlagDayPlanAndRecived(Integer carrierId);

    //查询已下发未接受的销售订单信息
    List<Map<String, Object>> getOrderUnReceive(BigDecimal orderType);

    //查询已下发已接受的销售订单信息
    List<Map<String, Object>> getOrderReceived(BigDecimal orderType);

    //查询所有运输订单信息 状态：3
    //查询所有已经下发的运输订单 用于查询司机车牌 websocket  状态：4
    List<Map<String, Object>> getAllTruckOrder(Map<String, Object> map);

    //新增运输订单
    int addPurOrder(Map<String, Object> map);

    //查询所有运力信息
    List<Map<String, Object>> getAllCapacity(Map<String, Object> map);

    //修改运输订单 和 运输订单子表
    int updateOrder(Map<String, Object> map);

    //分派运单给司机
    int dispatchOrder(Map<String, Object> mapValue);

    //下发订单给司机
    int dispatchOrderForSale(Map<String, Object> map);

    //销售物流：展示已经形成订单的水渣发运计划
    List<Map<String, Object>> selectWaterSlagForOrder(Map<String, Object> map);

    //销售物流：展示已经形成订单的焦炭发运计划
    List<Map<String, Object>> selectCokeRailPlanForOrder(Map<String, Object> map);

    //逻辑删除未下发运单
    int deleteOrder(Map<String, Object> map);

    //司机接单\拒绝
    int driverReceiveOrRefuse(Map<String, Object> map);

    //查询所有接单或拒绝接单的订单
    List<Map<String, Object>> getReceiveRefuseOrder(Map<String, Object> map);

    //司机接单调用接口推送数据 接收车牌号
    List<Map<String, Object>> sendMesToDriver(Map<String, Object> map);

    //通过运单Id查询所有信息
    List<Map<String, Object>> getOrderMesByOrderNum(Map<String, Object> map);

    //查询司机所有已拒绝过的订单
    List<Map<String, Object>> getReceiveRefuseOrderByCapacityId(Map<String, Object> map);

    // 查询实绩地点和时间
    List<Map<String, Object>> selectPlaceAndTime(BigDecimal orderId);

    //通过运单Id获取运单相关信息
    List<Map<String, Object>> getOrderByOrderId(BigDecimal orderId);

    //运输派单
    List<Map<String, Object>> getTransportDispatch(Map<String, Object> map);


    //查找司机排班表信息
    List<Map<String, Object>> selectCapacityAndDriver(Map<String, Object> map);

    BigDecimal selectCapacityId(BigDecimal carrierId, String capacityNumber);

    //新增运输订单
    int insert(OmstruckOrder omstruckOrder);

    //通过物资id查询批次表匹配最新的批次，关联最新的采购订单号
    Map<String, Object> selectNewOrderId(Map<String, Object> map);


    //查询司机接单信息
    Map<String, Object> sendMesToDriverApp(Map<String, Object> map);


    //销售分派钢材运输订单
    int dispatchSteelOrder(Map<String, Object> map);


    //下发销售订单
    int IssueSteelOrder(Map<String, Object> map);


    //销售模块，查看所有订单
    List<Map<String, Object>> selectAllOrderForSale(Map<String, Object> map);

    //销售：接收运输订单展示pc端界面
    List<Map<String, Object>> selectTransportOrderForSale(Map<String, Object> map);

    //根据承运商查找销售订单
    List<Map<String, Object>> selectSteelSaleForCarrier(Map<String, Object> map);

    //根据销售订单id查找信息
    List<Map<String, Object>> selectInfoBySaleOrderId(Integer saleOrderId);

    //根据承运商查找发运计划
    List<Map<String, Object>> selectCokeRailPlan(Map<String, Object> map);

    //根据发运计划查找物资
    List<Map<String, Object>> selectInfoByDayPlanId(Map<String, Object> map);

    // 车牌号下拉
    List<Map<String, Object>> getDriverCapacity();

    // 派单信息
    Map<String, Object> getTruckNoDispatchMap(Integer dispatchId);

    //承运商分派运输订单给司机
    int addAppTruckOrder(Integer dispatchId, Integer orderType, String capacityNumber,Integer carrierId);

    // 根据运单id关闭订单
    int closeOmstruckOrder(BigDecimal orderId);

    // 查询所有车牌号和司机
    List<Map<String, Object>> getCapacityAndDriverList(Map<String, Object> mapValue);
    //关闭运输订单
    int closeOrder(Map<String,Object> map);
    // 分解内转计划（新增运输订单）
    int addInwardOrder(Map<String, Object> mapValue);
    // 查询分解计划
    List<Map<String, Object>> getInwardOrderList(Map<String, Object> mapValue);
    // 下发计划
    int issuePlanOrder(List<Map<String, Object>> mapList);
    // 分派计划
    int apportionInwardOrder(List<Map<String, Object>> mapList);

    // 司机APP端查询下发给自己运输订单
    List<Map<String, Object>> sendOrderToApp(String capacityNumber);

    int apportionInwardOffsetOrder(Map<String, Object> mapList);

    // 查询车牌下的所有运单信息
    List<Map<String, Object>> getAllOrderMessage(String capacityNumber);

    //司机确认订单
    int driverConfirmation(Map<String, Object> map);

    //通过运输订单号查询订单信息给司机
    Map<String, Object> getMessageToApp(BigDecimal orderId);

    //通过车牌号查询所有已下发未接收的订单信息
    List<Map<String, Object>> getAllOrderMessagesByCapacityNum(Map<String, Object> map);

    // 新增采购进口矿订单
    int addInputOrder(Map<String, Object> mapValue);
}